var $AdfDhtmlDeclarativeComponentPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfRichUIPeer$$, "AdfDhtmlDeclarativeComponentPeer", !1);
$goog$exportSymbol$$("AdfDhtmlDeclarativeComponentPeer", $AdfDhtmlDeclarativeComponentPeer$$);
$AdfDhtmlDeclarativeComponentPeer$$.prototype.$getDomElement$ = function $$AdfDhtmlDeclarativeComponentPeer$$$$$getDomElement$$() {
  return null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlDeclarativeComponentPeer.prototype.getDomElement", {$getDomElement$:$AdfDhtmlDeclarativeComponentPeer$$.prototype.$getDomElement$});
$AdfDhtmlDeclarativeComponentPeer$$.prototype.$getDomContentElement$ = function $$AdfDhtmlDeclarativeComponentPeer$$$$$getDomContentElement$$() {
  return $AdfRichUIPeer$$.$GetDomContentElementForNode$(this.$getDomNode$());
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlDeclarativeComponentPeer.prototype.getDomContentElement", {$getDomContentElement$:$AdfDhtmlDeclarativeComponentPeer$$.prototype.$getDomContentElement$});
$AdfDhtmlDeclarativeComponentPeer$$.prototype.$getComponentParent$ = function $$AdfDhtmlDeclarativeComponentPeer$$$$$getComponentParent$$($component$$1052$$) {
  var $parentComponent$$9_parentId$$6$$ = $component$$1052$$.$getProperty$("_parentId");
  return ($parentComponent$$9_parentId$$6$$ = $AdfPage$$.$PAGE$.$findComponent$($parentComponent$$9_parentId$$6$$)) ? $parentComponent$$9_parentId$$6$$ : $AdfDhtmlDeclarativeComponentPeer$$.$superclass$.$getComponentParent$.call(this, $component$$1052$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlDeclarativeComponentPeer.prototype.getComponentParent", {$getComponentParent$:$AdfDhtmlDeclarativeComponentPeer$$.prototype.$getComponentParent$});
